
Infrastructure - Task #2224

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Set value of fileId to resolve URL if object is science metadata

2012-01-15 15:48 - Dave Vieglais

Status: Closed Start date: 2012-01-15

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

If the SOLR record is for a science metadata document, then the SOLR field fileID must be set to the CNCore.resolve() URL for the

PID.

This is required by the Mercury search interface.

History

#1 - 2012-01-20 14:38 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-01-23 14:46 - Skye Roseboom

- Status changed from In Progress to Closed

added FileIdSolrField class and added to xml science metadata solr rules.  Also added new field to SolrIndexFieldTest.
